# Image-Caption-Editor
![image](https://github.com/Capybara-AI/Image-Caption-Editor/assets/11761529/b764fa1a-2878-4fd0-b74b-af93cb51afa5)


The Image Caption Editor, is a powerful tool designed for efficiently editing and managing image captions. Built using Streamlit, it provides a user-friendly interface to streamline the process of annotating images, making it ideal for AI researchers, data scientists, and anyone involved in image-related projects.

## Features
- **Ease of Use**: Intuitive interface for editing captions.
- **Image Navigation**: Easily navigate through images in a dataset.
- **Progress Tracking**: Visual progress bar to track your editing process.
- **Data Compatibility**: Currently supports images stored in a folder and captions in a JSON file. Future versions will support more annotation formats.

## Installation
Install the Image Caption Editor with a simple pip command:

```bash
pip install image-caption-editor
```

## Usage
To launch the application, simply run:

```bash
image-caption-editor
```

Once the application is running:

- Input the path to the JSON file containing the captions. This file should be in the format where each key is the image filename, and the value is the corresponding text caption.
- Input the path to the directory where the images are stored.
Configuration
- Image Directory: Path to the directory containing images.
- Caption JSON File: Path to the JSON file with image captions.
Contributing
- We welcome contributions to enhance the application further. Please consider submitting your suggestions and improvements directly via email to the address provided below.

## License
This project is licensed under the MIT License. See the LICENSE file for more details.

## Author
- Casa AI
- Email: info@delvelabs.ai
